package _VisualDVM.TestingSystem.SAPFOR.SapforTasksPackage.UI;
import Common.Utils.Utils_;
import _VisualDVM.Global;
import Common.Visual.Menus.DataMenuBar;
import Common.Visual.Controls.MenuBarButton;
import _VisualDVM.TestingSystem.SAPFOR.SapforPackage.SapforPackageDBTable;
import Visual_DVM_2021.Passes.PassCode;

import javax.swing.*;
public class SapforPackagesBar extends DataMenuBar {
    public SapforPackagesBar() {
        super("пакеты задач SAPFOR");
        addPasses(PassCode.SynchronizeTests);
        addSeparator();
        addPasses(PassCode.AbortSapforPackage);
        addSeparator();
        addPasses(PassCode.CompareSapforPackages);
        addSeparator();
        addPasses(PassCode.DeleteSapforPackage);
        add(new JSeparator());
        add(new MenuBarButton() {
            {
                setText("Свои");
                setToolTipText("Отображать только пакеты тестов авторства пользователя");
                Mark();
                addActionListener(e -> {
                    SapforPackageDBTable.filterMyOnly = !SapforPackageDBTable.filterMyOnly;
                    Mark();
                    Global.testingServer.db.sapforPackages.ShowUI();
                });
            }
            public void Mark() {
                setIcon(Utils_.getIcon(SapforPackageDBTable.filterMyOnly ? "/icons/Pick.png" : "/icons/NotPick.png"));
            }
        });
        add(new MenuBarButton() {
            {
                setText("Активные");
                setToolTipText("Отображать только активные пакеты тестов");
                Mark();
                addActionListener(e -> {
                    SapforPackageDBTable.filterActive = !SapforPackageDBTable.filterActive;
                    Mark();
                    Global.testingServer.db.sapforPackages.ShowUI();
                });
            }
            public void Mark() {
                setIcon(Utils_.getIcon(SapforPackageDBTable.filterActive ? "/icons/Pick.png" : "/icons/NotPick.png"));
            }
        });
    }
}
